Subject: Linux-Emacs > 26 icons

From: David McCracken <[email-masked]>
Date: Mon, 27 May 2024 20:56:19 -0700

The issue of Linux-Emacs 27.1 not accepting its own icons in ~/icons was 
coincidental. When my icons were not appearing, I experimented by 
copying lock-broken.xpm to ~/icons and changing my library to refer to 
it. I did this directly in /usr/share/emacs/site-lisp so sudo was 
required. Normally, when I do superuser work I log in as root and am 
well aware that this has its own home directory. I had forgotten that 
sudo doesn't just grant extra priviledge but temporarily makes the user 
root, for whom ~/icons doesn't exist.

The issue of the Windows directory reference in my xpm files was also 
just a coincidence. The real problem is that Linux-Emacs 27.1 demands 
XPM3 even though the system has no problem with earlier versions. 
Comparing different versions of the same icon reveals that XPM3 syntax 
is very different from XPM2. I didn't want to have to provide different 
versions of the icons for different systems so I tested the XPM3 
translations on the computers that were not having trouble with XPM2 and 
they worked.